Bug 35804 - Make EDITING URL more intuitive, allow to modify URL of each single character.
Summary: Make EDITING URL more intuitive, allow to modify URL of each single character.
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2011-03-30 09:01 UTC by Maximiliano Curia
Modified: 2019-08-06 15:06 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of an example ods file being edited (64.76 KB, image/png)
2011-08-15 19:26 UTC, Margarita Manterola
Details
Screenshot of an example odp file being edited (154.42 KB, image/png)
2011-08-15 19:26 UTC, Margarita Manterola
Details
Example odp file, with email address (13.08 KB, application/vnd.oasis.opendocument.presentation)
2011-08-15 19:27 UTC, Margarita Manterola
Details
Example ods file, with email address. (8.33 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-08-15 19:27 UTC, Margarita Manterola
Details
updating bug (12.92 KB, image/png)
2012-11-06 16:14 UTC, domi
Details
insert -> hyperlink NEED update target AND name (34.78 KB, image/png)
2012-11-06 16:16 UTC, domi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maximiliano Curia 2011-03-30 09:01:41 UTC
Hi,

The emails or URLs once entered are treated as links, that's for writer, calc, and probably some other components as well. But in calc, you can't edit the links, the only option is to delete them and type then again, which is not the expected behavior.

Thanks,
Comment 1 Rainer Bielefeld Retired 2011-03-31 01:48:54 UTC
Not Reproducible with "LibreOffice 3.3.2  – WIN7  Home Premium  (64bit) English UI [OOO330m19 (Build:202 / tag 3.3.2.2)]". Sounds like a user error.

@Maximiliano Curia:
This is not a valid bug report.
May I ask you to read  hints on <http://wiki.documentfoundation.org/BugReport> carefully?
Then please:
- Attach a sample document 
- Attach screenshots with comments (you can add information using LibO DRAW
  and then attach your screenshot with comments as PDF) if necessary
- Contribute a step by step instruction containing every key press and every 
  mouse click how to reproduce your problem
- add information 
  -- what exactly is unexpected
  -- and why do you believe it's unexpected
  -- concerning your OS (distribution? Version?)
  -- concerning your LibO localization (UI language)
  –- Libo settings that might be related to your problems 
    (video hardware acceleration ...)
  -- how you launch LibO
  -- everything else crossing your mind after you read a.m. URL

Can you please file Bug reports with status UNCONFIRMED if your are not absolutely sure that you contributed all required background information and that the problem will be reproducible with information you can provide? Thank you!
Comment 2 Rainer Bielefeld Retired 2011-04-10 21:42:13 UTC
Closing Bug due to reporter's inactivity as INVALID.
Comment 3 Margarita Manterola 2011-08-15 19:20:18 UTC
The report was made to Linux all, and was thus invalidly closed as non-reproducible in Windows. You can only reproduce this bug in Linux.  Do not try to reproduce it in Windows, because it's a bug that affects the Linux platform.

Having said that, it's a bug that has been present for a very long while in many many versions of Open Office, so much that I had grown used to it and considered that it might be a weird feature in the obscure mind of some developer.

After encountering the bug report I came to realize that not only there is really no gain at all, but this is 'feature' is not present in the windows version, because of a difference in the widgets used by one or the other.

I'll be attaching the required screenshots/documents/etc, although it's quite useless, any Linux user should be able to reproduce this bug.  Just type an email address, as in joe@example.com into any LibreOffice component and you'll see how it turns into one single object that cannot be edited or modified, just deleted and re-typed whenever you want to correct it.

I repeat: try it in Linux before marking it as UNREPRODUCEABLE again, please.
Comment 4 Margarita Manterola 2011-08-15 19:26:14 UTC
Created attachment 50250 [details]
Screenshot of an example ods file being edited
Comment 5 Margarita Manterola 2011-08-15 19:26:50 UTC
Created attachment 50251 [details]
Screenshot of an example odp file being edited
Comment 6 Margarita Manterola 2011-08-15 19:27:25 UTC
Created attachment 50252 [details]
Example odp file, with email address
Comment 7 Margarita Manterola 2011-08-15 19:27:53 UTC
Created attachment 50253 [details]
Example ods file, with email address.
Comment 8 Margarita Manterola 2011-08-15 19:32:08 UTC
I have attached screenshots/files for calc and draw.  This bug is not present in Writer, where you have an "Edit hyperlink" context menu option that is not present in the other two.

This bug is not specific to a LibreOffice version, it's been present in OpenOffice, at least since version 2.2, probably even earlier on.

Just to be clear, the bug is the following:

After completely entering an email address, said email address becomes a single entity that can't be edited.  You can't select part of it, you can't position the cursor in the middle of it, you can't do anything with it that does not consider it as a single entity.

Please do not close this bug as unreproduceable again.  It's very very very easy to reproduce, you just need a Linux (ANY OF THEM!) OS.
Comment 9 Rainer Bielefeld Retired 2011-08-15 23:23:58 UTC
My steps to reproduce with "Example ods file, with email address" and "LibreOffice 3.4.2  - WIN7  Home Premium (64bit) German UI [OOO340m1 (Build:203)]" 

Goal: Change Cell contents text and link
        source               target
Text:   joe@example.com      my friend Joe
Link:   joe@example.com      myjoe@example.com


1. open sample
2. <f2>
   cell edit mode as expected
3. <shift+leftarrow>
   selects all "joe@example.com", alternatively you can use <ctl+a>
4. Click 'Hyperlink' icon in Standard Toolbar (alternatively: Menu
   'Insert -> Hyperlink' 
   Hyperlink dialog appears
5. In Receiver pane, modify "mailto:joe@example.com" to 
   "mailto:myjoe@example.com"
6. In Text pane, modify "joe@example.com"  to "my friend Joe"
7. <Apply>
   Expected: Goal has been reached
   Actual: as expected

Related OOo issues might be (I can't tell as long as the problem is not clear):
75033 - Cannot insert text link into text edit 
109969 - url in formular input line can not be travelled / edited by cursor 
89455 - It is very unintuitive to edit hyperlinks with target within a document


@Margarita Manterola:
unfortunately your comments do not help, please follow my advice from Comment 1. Please do not tell us  all that "Is a Linux bug" and "everybody knows" stuff, but

a) repeat my steps 1-7
b) tell us any observation different to the ones from my list
c) Your conclusions?
Comment 10 Margarita Manterola 2011-08-16 06:27:59 UTC
Hi,

These are the exact steps to reproduce the bug:

1) Go to a cell
2) Type an email address: joe@example.com
3) Leave the cell --> It converts automatically without my asking it to convert to anything into an hyperlink.
4) Go to the cell --> Not possible by clicking, only by going with the keyboard, if you try to click, it opens the mail application.
5) Try to modify what you typed --> not possible unless you do what you described, which means: selecting the whole thing, then pressing a button not pressed before to open the hyperlink window and then modifying the info in that window TWICE.

Step 5 means that it's *not* working as expected.

The problem is that the auto-detecting of URLs might be acceptable when first typing the thing (nice for http://, quite annoying for mails), but then makes it way too cumbersome to edit the information typed when you need to correct it. It's actually faster to just re-type it, rather than correct it twice.

This is particularly annoying when typing a list of emails, and then proof-reading it and trying to correct it.

In any case, if you are going to make me edit the link twice, in Writer you at least have a context menu that says "Edit hyperlink", whereas in calc/impress you have to click on a button that you have no reason to know it's there, since you where NOT inserting a hyperlink.

I've found and disabled the option to convert hyperlinks automatically, but I don't consider that to be a _solution_ because:

1) It considers emails and http:// URLs as the same thing, when they are not (from the user point of view, I understand that mailto: and http: are both URLs, of course).
2) It will be enabled for any new installation of LibreOffice.
3) The fact that you can disable a faulty behaviour is not a solution to the faulty behaviour itself.

Possible solutions/expected behaviours:

1) Allow to directly edit the email in the text of the cell, modifying both instances of the text in the hyperlink. <-- BEST

2) Have a context menu that says "Edit e-mail" (that can be opened by right-clicking, without previously selecting the email) that allows to edit it, without having to correct it twice. <-- Acceptable

3) Have a context menu that says "Edit hyperlink", that opens the hyperlink window. <-- Not nice, but better than today.
Comment 11 Rainer Bielefeld Retired 2011-08-26 00:39:51 UTC
The current intended behavior for applications except WRITER indeed is not intuitive and not user friendly, it't the same in Draw. Behavior should be "Writer-like" and allow to select (and modify URL) each single character.
Comment 12 Björn Michaelsen 2011-12-23 13:23:01 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 13 sasha.libreoffice 2012-02-27 05:04:47 UTC
In 3.5.0 still exist
Today workaround for Calc: select cell with link using keyboard, then use Insert->Hyperlink and there edit text of link.
Comment 14 domi 2012-11-06 16:14:04 UTC
Created attachment 69628 [details]
updating bug
Comment 15 domi 2012-11-06 16:16:59 UTC
Created attachment 69629 [details]
insert -> hyperlink NEED update target AND name

still exist in 3.6.3.2
under Linux AND Windows

unable to edit a url hyperlink stored in a cell via the "normal" cell update zone
see file calc-urlbug.png   69628 updating bug
you can see the cursor after the "123" in the update zone but the result show the update OUT of the hyperlink


the insert hyperlink option is not really a workaround as you have to edit the target zone AND the text zone wich is not very friendly nor usefull 
see file calc-inserthyperlink.png

and you have NO WAY to choose if you want that the string text containing the hyperlink should be treated as a hyperlink or as a simple text string

Even if you format the cell as text is it forced to the bloody hyperlink format

even if you begin the text string with a comment "'www.123.com" the text is forced to the bloody hyperlink format
the only change with the comment "'" is that the insert -> hyperlink menu do not work

i do not want to follow hyperlink (calc is not a firefox page handler...
but only store mini data bases (name, city, tel, email, ...)
Comment 16 Rainer Bielefeld Retired 2012-11-06 19:05:33 UTC
Current Behavior is inherited from OOo

@domi 
<http://wiki.documentfoundation.org/BugReport_Details#Version>

Please do not touch the dashboard!
Comment 17 Joel Madero 2014-11-04 03:10:47 UTC
From a quick reading it looks like this was confirmed - REOPENED is not the appropriate status. marking as NEW.
Comment 18 Samuel Mehrbrodt (CIB) 2019-08-06 15:06:18 UTC
This should be fixed with the recent hyperlink improvements - please tests again with recent master build.
If you encounter any issues, please file separate issues for each problem and CC me.